import np

def NodeGet(Id):
    print("NodeGet")

def NodeABC(Id):
    x = 0
    paramList = []
    for paramId in range(52,103):
        param = np.PyNodeGet(Id, paramId)
        x = x + 1
        if param is None:
            continue
        paramList.append(param)

    print(paramList)
   # print node[0]

def NodeSetTranslate(Id, (x, y, z)):
    np.PyNodeSet(Id, 71, x, y, z)

def NodeSetScale(Id, (x, y, z)):
    np.PyNodeSet(Id, 70, x, y, z)

def NodeSetColor(Id, (r, g, b)):
    np.PyNodeSet(Id, 84, r, g, b)


#    for paramId in range(52,171):
#        print paramId
       # node[param-52] = np.PyNodeGet(Id, paramId)
   # print node

    
